import { UiComponent } from "./UiComponent";
import { TeamAppsUiContext } from "./TeamAppsUiContext";
import { UiIFrameCommandHandler, UiIFrameConfig } from "../generated/UiIFrameConfig";
export declare class UiIFrame extends UiComponent<UiIFrameConfig> implements UiIFrameCommandHandler {
    private $iframe;
    constructor(config: UiIFrameConfig, context: TeamAppsUiContext);
    getMainDomElement(): JQuery;
    setUrl(url: string): void;
}
